Subject: Re: bug#19663: 24.4: eww.el delete entry from history list

From: Boruch Baum <[email-masked]>
Date: Mon, 26 Jan 2015 01:24:41 -0500

On 01/25/2015 08:57 PM, Lars Ingebrigtsen wrote:
> Boruch Baum <[email-masked]> writes:
> 
>> On 01/24/2015 09:48 PM, Lars Ingebrigtsen wrote:
>>> Boruch Baum <[email-masked]> writes:
>>>
>>>> I found it desirable to be able to delete entries from the history list.
>>>
>>> This might be nice for debugging purposes, but I don't really see the
>>> need as a user command.  Closing.
>>>
>> Please reconsider. The use case (my use case) is someone downlaoding
>> many pages for offline reading. Once offline, I browse the history list
>> for whatever I want to read first. Once a page is read, I delete it from
>> the history list. very useful for me.
> 
> Well, in that case you can just `C-x C-q' to make the buffer
> non-read-only, and then kill off the lines you've read with `C-k', I
> think?
> 
That won't work in that the next time one presses H from the eww buffer
(eww-list-histories), any entries deleted with c-k will re-appear.

-- 
hkp://keys.gnupg.net
CA45 09B5 5351 7C11 A9D1  7286 0036 9E45 1595 8BC0